# No SOURCE spec-file
#
%define mozillalibdir %{_libdir}/%{name}-classic
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Waterfox Classic web browser
Name:		waterfox-classic-browser
Version:	2022.11
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		https://www.waterfoxproject.org/downloads
Source3:waterfox.png
Source4:	waterfox.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	waterfox
Provides:   waterfox = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Waterfox Classic is a free and open source web browser based on
Firefox but with additional optimizations.


%prep

%build
#nobuild


%install
rm -rf %buildroot
                                                                            
pushd %_builddir
wget  -nc https://github.com/WaterfoxCo/Waterfox-Classic/releases/download/%{version}-classic/waterfox-classic-%{version}.en-US.linux-x86_64.tar.bz2
tar -xf waterfox-classic-%{version}.en-US.linux-x86_64.tar.bz2

mkdir -p %{buildroot}%{mozillalibdir}
cp -r waterfox-classic/* %{buildroot}%{mozillalibdir}

#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/waterfox %{buildroot}%{_bindir}/waterfox

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins
mkdir -p %{buildroot}/%{mozillalibdir}/icons

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/waterfox.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/waterfox.png

# icons
%{__cp} %{buildroot}%{mozillalibdir}/browser/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/browser/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/waterfox.png ;
done

# exclusions
rm -rf %{buildroot}%{mozillalibdir}/README.txt
rm -rf %{buildroot}%{mozillalibdir}/removed-files
rm -rf %{buildroot}%{mozillalibdir}/precomplete

popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{mozillalibdir}
%{mozillalibdir}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Wed Nov 23 2022 tex - 2022.11-1pclos2022
- new version

* Wed Oct 12 2022 tex - 2022.08-1pclos2022
- rename to waterfox-classic-browser

* Mon Sep 26 2022 tex - 2022.08-1pclos2022
- new version

* Wed Jun 09 2021 tex - 2021.06-1pclos2021
- new version

* Wed May 26 2021 tex - 2021.04.2-1pclos2021
- new version

* Sat Apr 24 2021 tex - 2021.04.1-1pclos2021
- new version

* Sun Apr 11 2021 tex - 2021.03-1pclos2021
- new version

* Tue Mar 02 2021 tex - 2021.02-1pclos2021
- new version

* Thu Jan 28 2021 tex - 2021.01.1-1pclos2021
- new version

